petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESLineSearchPreCheck

Prepares the line search for being applied.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchPreCheck(SNESLineSearch linesearch,Vec X,Vec Y,PetscBool *changed)

Logically Collective on SNESLineSearch Many br

### Input Parameters

| linesearch | - The linesearch instance. Many br
| X | - The current solution Many br
| Y | - The step direction Many br

### Output Parameters

changed -Indicator that the precheck routine has changed anything Many br

Many br

### Keywords

SNESLineSearch, Create

### See Also

SNESLineSearchPostCheck()

Level:developer
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages